zabbix_export:
  version: '6.2'
  date: '2024-05-29T06:56:58Z'
  template_groups:
    -
      uuid: a571c0d144b14fd4a87a9d9b2aa9fcd6
      name: Templates/Applications
    -
      uuid: 748ad4d098d447d492bb935c907f652f
      name: Templates/Databases
  templates:
    -
      uuid: 4a73fba0621446ab8c7b9461c97a682f
      template: 'Alkir Alerting_release_1.1'
      name: 'Alkir Alerting_release_1.1'
      description: 'получение данных от алькира о критичных проблемах инфраструктуры'
      groups:
        -
          name: Templates/Databases
      discovery_rules:
        -
          uuid: 0d13344ebb6e42d99c7c44cd26749d99
          name: alkir.bases.autodiscovery
          type: HTTP_AGENT
          key: alkir.bases.autodiscovery
          filter:
            evaltype: AND
          item_prototypes:
            -
              uuid: bb8780598e4f4ac0ab3784702661ab31
              name: 'Кластер {#CLUSTER}, база {#DB}. Критичные ошибки эксплуатации'
              type: HTTP_AGENT
              key: 'alkir_alerting_0_["{#CLUSTER}_{#DB}"]'
              delay: 15s
              history: 30d
              trends: '0'
              value_type: TEXT
              timeout: 5s
              url: 'http://alkir-api:5001/alerting/'
              posts: |
                {
                "base_id": "{#DB}",
                "cluster_id": "{#CLUSTER}",
                "req_id": 0,
                "time_offset": {$TIMEOFFSET},
                "time_slot": 60,
                "max_time_slot": 60
                }
              post_type: JSON
              request_method: POST
              tags:
                -
                  tag: component
                  value: alkir_alerting
                -
                  tag: database
                  value: '{#DB}'
              trigger_prototypes:
                -
                  uuid: 3fe1b337c6cf4c11976b4b0ab2de7d1f
                  expression: 'length(last(/Alkir Alerting_release_1.1/alkir_alerting_0_["{#CLUSTER}_{#DB}"]))>7'
                  name: 'Кластер {#CLUSTER}, база {#DB}. Критичные ошибки эксплуатации'
                  priority: INFO
                  manual_close: 'YES'
                  tags:
                    -
                      tag: component
                      value: alkir_alerting
            -
              uuid: ed627c163692456783f429b81a884511
              name: 'Кластер {#CLUSTER}, база {#DB}. Большой процент отмененных транзакций'
              type: HTTP_AGENT
              key: 'alkir_alerting_1_["{#CLUSTER}_{#DB}"]'
              delay: 150s
              history: 30d
              trends: '0'
              value_type: TEXT
              timeout: 5s
              url: 'http://alkir-api:5001/alerting/'
              posts: |
                {
                "base_id": "{#DB}",
                "cluster_id": "{#CLUSTER}",
                "req_id": 1,
                "time_offset": {$TIMEOFFSET},
                "time_slot": 600,
                "max_time_slot": 600
                }
              post_type: JSON
              request_method: POST
              tags:
                -
                  tag: component
                  value: alkir_alerting
                -
                  tag: database
                  value: '{#DB}'
              trigger_prototypes:
                -
                  uuid: c88d5a8dfa5f4556bc21f88acc4ebcc0
                  expression: 'length(last(/Alkir Alerting_release_1.1/alkir_alerting_1_["{#CLUSTER}_{#DB}"]))>7'
                  name: 'Кластер {#CLUSTER}, база {#DB}. Большой процент отмененных транзакций'
                  priority: INFO
                  manual_close: 'YES'
                  tags:
                    -
                      tag: component
                      value: alkir_alerting
            -
              uuid: 0ebe61579a684db9aaba30f10268e527
              name: 'Кластер {#CLUSTER}, база {#DB}. Массовые тайм-ауты на блокировках 1С'
              type: HTTP_AGENT
              key: 'alkir_alerting_2_["{#CLUSTER}_{#DB}"]'
              delay: 30s
              history: 30d
              trends: '0'
              value_type: TEXT
              timeout: 5s
              url: 'http://alkir-api:5001/alerting/'
              posts: |
                {
                "base_id": "{#DB}",
                "cluster_id": "{#CLUSTER}",
                "req_id": 2,
                "time_offset": {$TIMEOFFSET},
                "time_slot": 120,
                "max_time_slot": 120
                }
              post_type: JSON
              request_method: POST
              tags:
                -
                  tag: component
                  value: alkir_alerting
                -
                  tag: database
                  value: '{#DB}'
              trigger_prototypes:
                -
                  uuid: dad1eb476fe047f3a3169cf591b4bb5f
                  expression: 'length(last(/Alkir Alerting_release_1.1/alkir_alerting_2_["{#CLUSTER}_{#DB}"]))>7'
                  name: 'Кластер {#CLUSTER}, база {#DB}. Массовые тайм-ауты на блокировках 1С'
                  priority: INFO
                  manual_close: 'YES'
                  tags:
                    -
                      tag: component
                      value: alkir_alerting
            -
              uuid: f4add30bfda340518ebf0cc452a953bd
              name: 'Кластер {#CLUSTER}. Частые перезапуски рабочих процессов 1C'
              type: HTTP_AGENT
              key: 'alkir_alerting_3_["{#CLUSTER}"]'
              delay: 15m
              history: 30d
              trends: '0'
              value_type: TEXT
              timeout: 5s
              url: 'http://alkir-api:5001/alerting/'
              posts: |
                {
                "base_id": "{#DB}",
                "cluster_id": "{#CLUSTER}",
                "req_id": 3,
                "time_offset": {$TIMEOFFSET},
                "time_slot": 3600,
                "max_time_slot": 3600
                }
              post_type: JSON
              request_method: POST
              tags:
                -
                  tag: component
                  value: alkir_alerting
                -
                  tag: database
                  value: '{#DB}'
              trigger_prototypes:
                -
                  uuid: cfb4d5df369742e98b558c5d2fbe424e
                  expression: 'length(last(/Alkir Alerting_release_1.1/alkir_alerting_3_["{#CLUSTER}"]))>7'
                  name: 'Кластер {#CLUSTER}. Частые перезапуски рабочих процессов 1C'
                  priority: INFO
                  manual_close: 'YES'
                  tags:
                    -
                      tag: component
                      value: alkir_alerting
            -
              uuid: a797952c3c8e4692be346a35f033f23c
              name: 'Кластер {#CLUSTER}, база {#DB}. Массовые тайм-ауты на блокировках СУБД'
              type: HTTP_AGENT
              key: 'alkir_alerting_4_["{#CLUSTER}_{#DB}"]'
              delay: 30s
              history: 30d
              trends: '0'
              value_type: TEXT
              timeout: 5s
              url: 'http://alkir-api:5001/alerting/'
              posts: |
                {
                "base_id": "{#DB}",
                "cluster_id": "{#CLUSTER}",
                "req_id": 4,
                "time_offset": {$TIMEOFFSET},
                "time_slot": 120,
                "max_time_slot": 120
                }
              post_type: JSON
              request_method: POST
              tags:
                -
                  tag: component
                  value: alkir_alerting
                -
                  tag: database
                  value: '{#DB}'
              trigger_prototypes:
                -
                  uuid: 7587367cf4be4bd5aac26c1ab3e445c5
                  expression: 'length(last(/Alkir Alerting_release_1.1/alkir_alerting_4_["{#CLUSTER}_{#DB}"]))>7'
                  name: 'Кластер {#CLUSTER}, база {#DB}. Массовые тайм-ауты на блокировках СУБД'
                  priority: INFO
                  manual_close: 'YES'
                  tags:
                    -
                      tag: component
                      value: alkir_alerting
            -
              uuid: 024791fbf35442b8b7da6e3fafe9a90d
              name: 'Кластер {#CLUSTER} События ATTN'
              type: HTTP_AGENT
              key: 'alkir_alerting_5_["{#CLUSTER}"]'
              delay: 15s
              history: 30d
              trends: '0'
              value_type: TEXT
              timeout: 5s
              url: 'http://alkir-api:5001/alerting/'
              posts: |
                {
                "base_id": "{#DB}",
                "cluster_id": "{#CLUSTER}",
                "req_id": 5,
                "time_offset": {$TIMEOFFSET},
                "time_slot": 60,
                "max_time_slot": 60,
                "max_interval":15
                }
              post_type: JSON
              request_method: POST
              tags:
                -
                  tag: component
                  value: alkir_alerting
                -
                  tag: database
                  value: '{#DB}'
              trigger_prototypes:
                -
                  uuid: 1ec6919b589240fea2bffcd1e5ca0d70
                  expression: 'length(last(/Alkir Alerting_release_1.1/alkir_alerting_5_["{#CLUSTER}"]))>7'
                  name: 'Кластер {#CLUSTER}. События ATTN'
                  priority: INFO
                  manual_close: 'YES'
                  tags:
                    -
                      tag: component
                      value: alkir_alerting
          url: 'http://alkir-api:5001/alerting/'
          posts: |
            {
              "base_id": "1",
              "cluster_id": "1",
              "req_id": -1,
              "time_offset": 1,
              "time_slot": 1,
              "max_time_slot": 1,
              "max_interval": 3600,
              "max_errors": 15,
              "errors_per_second": 10
            }
          post_type: JSON
          request_method: POST
          lld_macro_paths:
            -
              lld_macro: '{#DB}'
              path: $.base
            -
              lld_macro: '{#CLUSTER}'
              path: $.cluster
          preprocessing:
            -
              type: STR_REPLACE
              parameters:
                - '[{'
                - '{ "data": [{'
            -
              type: STR_REPLACE
              parameters:
                - '"}]'
                - '"}]}'
      tags:
        -
          tag: class
          value: database
        -
          tag: target
          value: clickhouse
      macros:
        -
          macro: '{$CLICHOUSE_HADRWARE_MON}'
          description: 'SELECT tag_name ,hostname   ,COALESCE(app_cpu,memory_free,mssql_cpu,mssql_memory_free,mssql_disk_free_poc) AS value FROM (SELECT   tag_name   ,hostname   ,MIN(CASE WHEN tag_name = ''acp'' THEN value END) AS app_cpu   ,MIN(CASE WHEN tag_name = ''amup'' THEN 100 - value END) AS memory_free   ,MIN(CASE WHEN tag_name = ''mcc'' THEN value END) AS mssql_cpu   ,MIN(CASE WHEN tag_name = ''mmup'' THEN 100 - value END) AS mssql_memory_free   ,MAX(CASE WHEN tag_name = ''mdfp'' THEN 100 - value END) AS mssql_disk_free_poc  FROM {#DB}.monitoring m WHERE   tag_name IN (''acp'', ''amup'', ''mcc'', ''mmup'', ''mdfp'')   AND clock > now() - 300 GROUP BY   hostname, tag_name HAVING   app_cpu > 90   OR memory_free < 5   OR mssql_cpu > 90   OR mssql_memory_free < 5   OR mssql_disk_free_poc < 5 )'
        -
          macro: '{$CLICKHOUSE.DELAYED.FILES.DISTRIBUTED.COUNT.MAX.WARN}'
          value: '600'
          description: 'Maximum size of distributed files queue to insert for trigger expression.'
        -
          macro: '{$CLICKHOUSE.DELAYED.INSERTS.MAX.WARN}'
          value: '0'
          description: 'Maximum number of delayed inserts for trigger expression.'
        -
          macro: '{$CLICKHOUSE.LLD.FILTER.DB.MATCHES}'
          value: '.*'
          description: 'Filter of discoverable databases'
        -
          macro: '{$CLICKHOUSE.LLD.FILTER.DB.NOT_MATCHES}'
          value: CHANGE_IF_NEEDED
          description: 'Filter to exclude discovered databases'
        -
          macro: '{$CLICKHOUSE.LLD.FILTER.DICT.MATCHES}'
          value: '.*'
          description: 'Filter of discoverable dictionaries'
        -
          macro: '{$CLICKHOUSE.LLD.FILTER.DICT.NOT_MATCHES}'
          value: CHANGE_IF_NEEDED
          description: 'Filter to exclude discovered dictionaries'
        -
          macro: '{$CLICKHOUSE.LOG_POSITION.DIFF.MAX.WARN}'
          value: '30'
          description: 'Maximum diff between log_pointer and log_max_index.'
        -
          macro: '{$CLICKHOUSE.NETWORK.ERRORS.MAX.WARN}'
          value: '5'
          description: 'Maximum number of smth for trigger expression'
        -
          macro: '{$CLICKHOUSE.PARTS.PER.PARTITION.WARN}'
          value: '300'
          description: 'Maximum number of parts per partition for trigger expression.'
        -
          macro: '{$CLICKHOUSE.PASSWORD}'
          value: zabbix_pass
        -
          macro: '{$CLICKHOUSE.PORT}'
          value: '8123'
          description: 'The port of ClickHouse HTTP endpoint'
        -
          macro: '{$CLICKHOUSE.QUERY_TIME.MAX.WARN}'
          value: '600'
          description: 'Maximum ClickHouse query time in seconds for trigger expression'
        -
          macro: '{$CLICKHOUSE.QUEUE.SIZE.MAX.WARN}'
          value: '20'
          description: 'Maximum size of the queue for operations waiting to be performed for trigger expression.'
        -
          macro: '{$CLICKHOUSE.REPLICA.MAX.WARN}'
          value: '600'
          description: 'Replication lag across all tables for trigger expression.'
        -
          macro: '{$CLICKHOUSE.SCHEME}'
          value: http
          description: 'Request scheme which may be http or https'
        -
          macro: '{$CLICKHOUSE.USER}'
          value: zabbix
        -
          macro: '{$CLICKTIMEOUT}'
          value: '0'
        -
          macro: '{$CLICKTIMEOUT:"apdex_operations"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"apdex_profiles"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"apdex_target_time"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"cluster_console_rphost_info"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"cluster_console_session"}'
          value: 30m
        -
          macro: '{$CLICKTIMEOUT:"EventLogItems"}'
          value: 30m
        -
          macro: '{$CLICKTIMEOUT:"log_records"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"mssql_data_stat"}'
          value: 30m
        -
          macro: '{$CLICKTIMEOUT:"mssql_index_fragmentation"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"mssql_index_stats"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"mssql_index_to_dell"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"mssql_needs_index"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"mssql_scan_count"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"mssql_table_index_stats"}'
          value: 180m
        -
          macro: '{$CLICKTIMEOUT:"mssql_table_stat"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"mssql_wait_stat"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"pg_big_rw_query"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"pg_table_info"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"pg_table_unused_space"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"records"}'
          value: 30m
        -
          macro: '{$CLICKTIMEOUT:"xevents_query"}'
          value: 5m
        -
          macro: '{$CLICKTIMEOUT:"xevents_reads"}'
          value: 5m
        -
          macro: '{$SECONDS_FROM_UTC}'
          value: '10800'
      valuemaps:
        -
          uuid: a9d84da6be7047e0adac0925b1852e62
          name: 'Replicas state'
          mappings:
            -
              value: '0'
              newvalue: 'False'
            -
              value: '1'
              newvalue: 'True'
        -
          uuid: 7b22d1d3dac74fe2aa5621563824c6fe
          name: 'Service state'
          mappings:
            -
              value: '0'
              newvalue: Down
            -
              value: '1'
              newvalue: Up
    -
      uuid: fdddc000c4f44d5c8e0df63a7b869882
      template: 'Alkir App Server Linux Release'
      name: 'Alkir App Server Linux Release'
      groups:
        -
          name: Templates/Applications
      items:
        -
          uuid: 3886a596648d4f4a9c9c6f2f7516f088
          name: process_1cv8_private_bytes
          key: 'proc.mem[1cv8,,sum]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: 1cv8
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: fd2c8fcce4a24574939bd0439cd63efb
          name: process_ragent_private_bytes
          key: 'proc.mem[ragent,,sum]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: ragent
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: 3c4c415acca444a5ac500f422ee14d4e
          name: process_rmngr_private_bytes
          key: 'proc.mem[rmngr,,sum]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: rmngr
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: 2692cd0bd7d746b38eafa4654c8ec5c3
          name: process_rphost_private_bytes
          key: 'proc.mem[rphost,,sum]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: rphost
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: 570279a104c34b6cb659976f16276467
          name: cpu_utilization
          key: system.cpu.util
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: alkir_metric
              value: app_cpu_utilization
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
          triggers:
            -
              uuid: 416c423a3d1645efa9b2044a5831cd48
              expression: 'min(/Alkir App Server Linux Release/system.cpu.util,5m)>90'
              name: cpu_utilization
              priority: INFO
        -
          uuid: fbf2bbd4ed034a16bc901a5957aaeb98
          name: cpu_user
          key: 'system.cpu.util[,user]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          tags:
            -
              tag: alkir_metric
              value: app_cpu_user
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: 838af4facae64f50ae694c64cbdadc9c
          name: memory_percent_used
          key: 'vm.memory.size[pused]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          tags:
            -
              tag: alkir_metric
              value: app_memory_used_percent
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
          triggers:
            -
              uuid: e66bc608ae8d4209930f68b5d4797c66
              expression: 'min(/Alkir App Server Linux Release/vm.memory.size[pused],5m)>95'
              name: memory_percent_used
              priority: INFO
              manual_close: 'YES'
        -
          uuid: 5fed6492320546729af909616078612f
          name: memory_used
          key: 'vm.memory.size[used]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: app_memory_used
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
      discovery_rules:
        -
          uuid: e45a84c931a74642b74ddee97a3beb7b
          name: 'Alkir Network interface discovery'
          key: net.if.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.MATCHES}'
                formulaid: A
              -
                macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
        -
          uuid: 8971b64b24744a2baa8dacf5fd66925f
          name: 'Alkir CPU Discovery'
          key: system.cpu.discovery
          delay: 15m
          item_prototypes:
            -
              uuid: ddf1606a92144eb2ad948717543e3619
              name: '{#CPU.NUMBER}'
              key: 'system.cpu.util[{#CPU.NUMBER},,avg1]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: app_cpu_core
                -
                  tag: Application
                  value: CPU
                -
                  tag: component
                  value: Alkir
        -
          uuid: 59b8041db39c43ef9cece9242e75924d
          name: 'Alkir Block devices discovery'
          key: vfs.dev.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#DEVNAME}'
                value: '{$VFS.DEV.DEVNAME.MATCHES}'
                formulaid: A
              -
                macro: '{#DEVNAME}'
                value: '{$VFS.DEV.DEVNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
          item_prototypes:
            -
              uuid: eba0d8e57f1f4af894d5d42e381c3a6e
              name: '{#DEVNAME}'
              key: 'vfs.dev.read[{#DEVNAME},sps]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '512'
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_read
                -
                  tag: component
                  value: Alkir
            -
              uuid: fc476995f75240a9bd8b87688861c397
              name: '{#DEVNAME}'
              key: 'vfs.dev.write[{#DEVNAME},sps]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '512'
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_write
                -
                  tag: component
                  value: Alkir
        -
          uuid: 30edd51550e346988a87702303986359
          name: 'Alkir Mounted filesystem discovery'
          key: vfs.fs.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.MATCHES}'
                formulaid: A
              -
                macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
              -
                macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.MATCHES}'
                formulaid: C
              -
                macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: D
          item_prototypes:
            -
              uuid: 42ce5860713146adba89048463bbc9d7
              name: '{#FSNAME}'
              key: 'vfs.fs.size[{#FSNAME},free]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: B
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_free
                -
                  tag: component
                  value: Alkir
            -
              uuid: f19eecfc1f9647dbbaec21411af58fcb
              name: '{#FSNAME}'
              key: 'vfs.fs.size[{#FSNAME},pfree]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: '%'
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_free_proc
                -
                  tag: component
                  value: Alkir
      macros:
        -
          macro: '{$VFS.DEV.DEVNAME.MATCHES}'
          value: .+
        -
          macro: '{$VFS.DEV.DEVNAME.NOT_MATCHES}'
          value: '^(loop[0-9]*|sd[a-z][0-9]+|nbd[0-9]+|sr[0-9]+|fd[0-9]+|dm-[0-9]+|ram[0-9]+|ploop[a-z0-9]+|md[0-9]*|hcp[0-9]*|zram[0-9]*)'
        -
          macro: '{$VFS.FS.FSNAME.MATCHES}'
          value: .+
        -
          macro: '{$VFS.FS.FSNAME.NOT_MATCHES}'
          value: ^(/dev|/sys|/run|/proc|.+/shm$)
        -
          macro: '{$VFS.FS.FSTYPE.MATCHES}'
          value: ^(btrfs|ext2|ext3|ext4|reiser|xfs|ffs|ufs|jfs|jfs2|vxfs|hfs|apfs|refs|ntfs|fat32|zfs)$
        -
          macro: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
          value: ^\s$
    -
      uuid: 50bd9020ff614bce8cfd0c3072b2370a
      template: 'Alkir App Server Windows Release'
      name: 'Alkir App Server Windows Release'
      groups:
        -
          name: Templates/Applications
      items:
        -
          uuid: 19a07209cb0f401999f5c88553dfcf23
          name: memory_available
          key: 'perf_counter_en["\Memory(_Total)\Available Mbytes",29]'
          delay: 10s
          history: 7d
          trends: '0'
          status: DISABLED
          units: B
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '1048576'
          tags:
            -
              tag: alkir_metric
              value: app_memory_available
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
        -
          uuid: b7f9f43a86994a39b1f2ce895e6023b8
          name: 'Network Interface(*)\Bytes Total/sec'
          key: 'perf_counter_en["\Network Interface(*)\Bytes Total/sec", ]'
          delay: 30s
          history: 7d
          value_type: FLOAT
          units: Bps
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: '1C Performance Counters'
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: counters
        -
          uuid: a2bc7e09fcbe42f28871c0b01eac8ff0
          name: disks_average_read
          key: 'perf_counter_en["\PhysicalDisk(*)\Avg. Disk Bytes/Read",29]'
          delay: 10s
          history: 7d
          status: DISABLED
          value_type: FLOAT
          units: Bps
          preprocessing:
            -
              type: CHANGE_PER_SECOND
              parameters:
                - ''
          tags:
            -
              tag: Application
              value: Disks
            -
              tag: component
              value: Alkir
        -
          uuid: 7d221131f220461281eda461c1b98778
          name: disks_average_write
          key: 'perf_counter_en["\PhysicalDisk(*)\Avg. Disk Bytes/Write",29]'
          delay: 10s
          history: 7d
          status: DISABLED
          units: Bps
          preprocessing:
            -
              type: CHANGE_PER_SECOND
              parameters:
                - ''
          tags:
            -
              tag: Application
              value: Disks
            -
              tag: component
              value: Alkir
        -
          uuid: 989aa5d0a5144b8fafa9adebe1c3702c
          name: disks_queue
          key: 'perf_counter_en["\PhysicalDisk(*)\Avg. Disk Queue Length",29]'
          delay: 30s
          history: 7d
          status: DISABLED
          value_type: FLOAT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: Disks
            -
              tag: component
              value: Alkir
        -
          uuid: 52752bc795ae4ccb80db193d7e9eef2b
          name: 'PhysicalDisk(_Total)\Avg. Disk Queue Length'
          key: 'perf_counter_en["\PhysicalDisk(_Total)\Avg. Disk Queue Length",29]'
          delay: 30s
          history: 7d
          value_type: FLOAT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: '1C Performance Counters'
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: counters
        -
          uuid: 584bf3106ced40169dbf0c44ebfca4d9
          name: process_1cv8_private_bytes
          key: 'perf_counter_en["\Process(1cv8*)\Private Bytes",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: 1cv8
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: bf53f41e9166490ca4b581db2f379c8e
          name: process_ragent_private_bytes
          key: 'perf_counter_en["\Process(ragent*)\Private Bytes",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: ragent
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: 7ca2e9dd156941b780a29912d61a5f03
          name: process_rmngr_private_bytes
          key: 'perf_counter_en["\Process(rmngr*)\Private Bytes",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: rmngr
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: 61ae386635654ccbbd4b521292a8c2a0
          name: process_rphost_private_bytes
          key: 'perf_counter_en["\Process(rphost*)\Private Bytes",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: rphost
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: Processes
        -
          uuid: 87637619591f48dfacc90064d0386862
          name: cpu_privileged
          key: 'perf_counter_en["\Processor Information(_total)\% Privileged Time",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          tags:
            -
              tag: alkir_metric
              value: app_cpu_privileged
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: c3f1eaed24d04818bd1c8855d9829222
          name: cpu_utilization
          key: 'perf_counter_en["\Processor Information(_total)\% Processor Time",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: alkir_metric
              value: app_cpu_utilization
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
          triggers:
            -
              uuid: bea239c697c241f7a9cf911ebd58f922
              expression: 'min(/Alkir App Server Windows Release/perf_counter_en["\Processor Information(_total)\% Processor Time",10],5m)>90'
              name: cpu_utilization
              priority: INFO
        -
          uuid: 3010f804aec344238290f9fcb58c4f23
          name: cpu_user
          key: 'perf_counter_en["\Processor Information(_total)\% User Time"]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: alkir_metric
              value: app_cpu_user
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: 704da74d15ca4808ad1311001799ad24
          name: cpu_queue
          key: 'perf_counter_en["\System(_Total)\Processor Queue Length",29]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          tags:
            -
              tag: alkir_metric
              value: app_cpu_queue
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: 7907061318de426eb453f66dbf8065c4
          name: memory_percent_available
          key: 'vm.memory.size[pavailable]'
          delay: 10s
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: FLOAT
          units: '%'
          tags:
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
        -
          uuid: 81ac9ac321854210a9ab68d33e425ebe
          name: memory_percent_used
          key: 'vm.memory.size[pused]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          tags:
            -
              tag: alkir_metric
              value: app_memory_used_percent
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
          triggers:
            -
              uuid: 1495bcf7983d452c97ec473fd2d85c46
              expression: 'min(/Alkir App Server Windows Release/vm.memory.size[pused],5m)>95'
              name: memory_percent_used
              priority: INFO
        -
          uuid: e6ebc0a466e341b29ae310e12fe62448
          name: memory_used
          key: 'vm.memory.size[used]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: app_memory_used
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
      discovery_rules:
        -
          uuid: 10ba179e4afd462fa0f8a79cae1d24ee
          name: 'Alkir Network interfaces discovery'
          key: net.if.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.MATCHES}'
                formulaid: A
              -
                macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
          lifetime: '3600'
          item_prototypes:
            -
              uuid: 02e23dc88f384872ab48d47099e9eaeb
              name: '{#IFNAME}'
              key: 'net.if.in["{#IFGUID}"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                -
                  type: MULTIPLIER
                  parameters:
                    - '8'
              tags:
                -
                  tag: alkir_metric
                  value: app_net_in
                -
                  tag: component
                  value: Alkir
            -
              uuid: 2874c9339392467897396343339f07f6
              name: '{#IFNAME}'
              key: 'net.if.in["{#IFNAME}",errors]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: app_net_in_errors
                -
                  tag: component
                  value: Alkir
            -
              uuid: 79064db07545483f90fbb1d20f1c45c7
              name: '{#IFNAME}'
              key: 'net.if.in["{#IFNAME}",packets]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: app_net_in_pps
                -
                  tag: component
                  value: Alkir
            -
              uuid: 201c007d56f04cb2abdb0bef41966482
              name: '{#IFNAME}'
              key: 'net.if.out["{#IFGUID}"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                -
                  type: MULTIPLIER
                  parameters:
                    - '8'
              tags:
                -
                  tag: alkir_metric
                  value: app_net_out
                -
                  tag: component
                  value: Alkir
            -
              uuid: 8615af6cd52e4ab6bf1e95f5a4aed5b5
              name: '{#IFNAME}'
              key: 'net.if.out["{#IFNAME}",errors]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: app_net_out_errors
                -
                  tag: component
                  value: Alkir
            -
              uuid: 7bdceed6b9914c1da4e0def55dbf95be
              name: '{#IFNAME}'
              key: 'net.if.out["{#IFNAME}",packets]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: app_net_out_pps
                -
                  tag: component
                  value: Alkir
        -
          uuid: 1d2d5f895f6b4ba6b23af925e1b4c9f5
          name: 'Alkir CPU Discovery'
          key: system.cpu.discovery
          delay: 15m
          item_prototypes:
            -
              uuid: 3a84614678dc4274b65d21394be798d8
              name: '{#CPU.NUMBER}'
              key: 'system.cpu.util[{#CPU.NUMBER},,avg1]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: app_cpu_core
                -
                  tag: Application
                  value: CPU
                -
                  tag: component
                  value: Alkir
        -
          uuid: ecd75c4ce4b84b3fb968a30168379dea
          name: 'Alkir Mounted filesystem discovery'
          key: vfs.fs.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#FSDRIVETYPE}'
                value: '{$VFS.FS.FSDRIVETYPE.MATCHES}'
                formulaid: A
              -
                macro: '{#FSDRIVETYPE}'
                value: '{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
              -
                macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.MATCHES}'
                formulaid: C
              -
                macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: D
              -
                macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.MATCHES}'
                formulaid: E
              -
                macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: F
          item_prototypes:
            -
              uuid: e275bd6c00944e828d62e59c14e28287
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\220"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_read
                -
                  tag: component
                  value: Alkir
            -
              uuid: d3f23a363b704bc2bf3ca04cdf1ab150
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\222"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_write
                -
                  tag: component
                  value: Alkir
            -
              uuid: b2a8ac91138843119272651c28be303d
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\1402"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_queue_read
                -
                  tag: component
                  value: Alkir
            -
              uuid: 62e582e523a846cca1d955022a8aa350
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\1404"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_queue_write
                -
                  tag: component
                  value: Alkir
            -
              uuid: 455c08b33bb5439e861b5e2872f3fe5a
              name: '{#FSNAME}'
              key: 'vfs.fs.size[{#FSNAME},free]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: B
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_free
                -
                  tag: component
                  value: Alkir
            -
              uuid: 39f96435facc42f1b246dee7030215ba
              name: '{#FSNAME}'
              key: 'vfs.fs.size[{#FSNAME},pfree]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: '%'
              tags:
                -
                  tag: alkir_metric
                  value: app_disk_free_proc
                -
                  tag: component
                  value: Alkir
      macros:
        -
          macro: '{$NET.IF.IFNAME.MATCHES}'
          value: '.*'
        -
          macro: '{$NET.IF.IFNAME.NOT_MATCHES}'
          value: Miniport|Virtual|Teredo|Kernel|Loopback|Bluetooth|HTTPS|6to4|QoS|Layer|TAP-Windows
        -
          macro: '{$VFS.FS.FSDRIVETYPE.MATCHES}'
          value: fixed
        -
          macro: '{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}'
          value: ^\s$
        -
          macro: '{$VFS.FS.FSNAME.MATCHES}'
          value: '.*'
        -
          macro: '{$VFS.FS.FSNAME.NOT_MATCHES}'
          value: '^(C:|/dev|/sys|/run|/proc|.+/shm$)'
        -
          macro: '{$VFS.FS.FSTYPE.MATCHES}'
          value: '.*'
        -
          macro: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
          value: ^\s$
      valuemaps:
        -
          uuid: c4327f65202943a4a046dfeae1743201
          name: 'Alarm state'
          mappings:
            -
              value: '1'
              newvalue: Alarm
            -
              value: '0'
              newvalue: OK
    -
      uuid: 83669184581e4fbfbf5bdd1f8fe535fd
      template: 'Alkir MSSQL Server Release'
      name: 'Alkir MSSQL Server Release'
      groups:
        -
          name: Templates/Applications
      items:
        -
          uuid: 8eaa7ef3ca9e4183b24990482c7694e4
          name: sql_total_log_size
          type: ODBC
          key: 'db.odbc.get[log_total,{$DB_HOST},]'
          history: 7d
          trends: '0'
          units: B
          params: 'exec AlkirDBInfo @key=''get_logs_file_size'''
          username: '{$DB_UID}'
          password: '{$DB_PASSWORD}'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - '$.[0].cntr_value'
            -
              type: MULTIPLIER
              parameters:
                - '1024'
          tags:
            -
              tag: alkir_metric
              value: mssql_total_log_size
            -
              tag: component
              value: Alkir
        -
          uuid: 3c89391af2d84b28997dd4fb48deccc8
          name: sql_total_log_used
          type: ODBC
          key: 'db.odbc.get[log_used,{$DB_HOST},]'
          history: 7d
          trends: '0'
          units: B
          params: 'exec AlkirDBInfo @key=''get_logs_file_used'''
          username: '{$DB_UID}'
          password: '{$DB_PASSWORD}'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - '$.[0].cntr_value'
            -
              type: MULTIPLIER
              parameters:
                - '1024'
          tags:
            -
              tag: alkir_metric
              value: mssql_total_log_used
            -
              tag: component
              value: Alkir
        -
          uuid: 11d03d72926c46b4a8f2acb45d0525c3
          name: sql_tempdb_total
          type: ODBC
          key: 'db.odbc.get[tempdb_total,{$DB_HOST},]'
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          params: 'exec AlkirDBInfo @key=''get_tempdb_size'''
          username: '{$DB_UID}'
          password: '{$DB_PASSWORD}'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - '$.[0].total_mb'
            -
              type: MULTIPLIER
              parameters:
                - '1048576'
          tags:
            -
              tag: alkir_metric
              value: mssql_tempdb_total
            -
              tag: component
              value: Alkir
        -
          uuid: 78fa22c196f84f65baa20530582f2cfd
          name: sql_tempdb_used
          type: ODBC
          key: 'db.odbc.get[tempdb_used,{$DB_HOST},]'
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          params: 'exec AlkirDBInfo @key=''get_timedb_used'''
          username: '{$DB_UID}'
          password: '{$DB_PASSWORD}'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - '$.[0].used_mb'
            -
              type: MULTIPLIER
              parameters:
                - '1048576'
          tags:
            -
              tag: alkir_metric
              value: mssql_tempdb_used
            -
              tag: component
              value: Alkir
        -
          uuid: 93d54c40b54442338c86a0b126c4df95
          name: memory_available
          key: 'perf_counter_en["\Memory(_Total)\Available Mbytes",29]'
          delay: 10s
          history: 7d
          trends: '0'
          status: DISABLED
          units: B
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '1048576'
          tags:
            -
              tag: alkir_metric
              value: mssql_memory_available
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
        -
          uuid: e47035388c5c4fa7b1f9c590d2c2ca04
          name: 'Network Interface(*)\Bytes Total/sec'
          key: 'perf_counter_en["\Network Interface(*)\Bytes Total/sec", ]'
          delay: 30s
          history: 7d
          value_type: FLOAT
          units: Bps
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: '1C Performance Counters'
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: counters
        -
          uuid: 691bc417d5ad4413b8951119d3a32b52
          name: disks_average_read
          key: 'perf_counter_en["\PhysicalDisk(*)\Avg. Disk Bytes/Read",29]'
          delay: 10s
          history: 7d
          status: DISABLED
          value_type: FLOAT
          units: Bps
          preprocessing:
            -
              type: CHANGE_PER_SECOND
              parameters:
                - ''
          tags:
            -
              tag: Application
              value: Disks
            -
              tag: component
              value: Alkir
        -
          uuid: 7ff13336f5c24afc9c01f6a26ee3b550
          name: disks_average_write
          key: 'perf_counter_en["\PhysicalDisk(*)\Avg. Disk Bytes/Write",29]'
          delay: 10s
          history: 7d
          status: DISABLED
          units: Bps
          preprocessing:
            -
              type: CHANGE_PER_SECOND
              parameters:
                - ''
          tags:
            -
              tag: Application
              value: Disks
            -
              tag: component
              value: Alkir
        -
          uuid: b93b308845ac4b48ad37b6d07ac7cb82
          name: disks_queue
          key: 'perf_counter_en["\PhysicalDisk(*)\Avg. Disk Queue Length",29]'
          delay: 30s
          history: 7d
          status: DISABLED
          value_type: FLOAT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: Disks
            -
              tag: component
              value: Alkir
        -
          uuid: fec8b333e54a42699816b69685cb3131
          name: 'PhysicalDisk(_Total)\Avg. Disk Queue Length'
          key: 'perf_counter_en["\PhysicalDisk(_Total)\Avg. Disk Queue Length",29]'
          delay: 30s
          history: 7d
          value_type: FLOAT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: '1C Performance Counters'
            -
              tag: component
              value: Alkir
            -
              tag: component
              value: counters
        -
          uuid: 615c2ff84148486ab31a0150409fb5a6
          name: cpu_privileged
          key: 'perf_counter_en["\Processor Information(_total)\% Privileged Time",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          tags:
            -
              tag: alkir_metric
              value: mssql_cpu_privileged
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: a1d4d8f435e74bc2989a5c7ab4d7986f
          name: cpu_utilization
          key: 'perf_counter_en["\Processor Information(_total)\% Processor Time",10]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: alkir_metric
              value: mssql_cpu_utilization
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
          triggers:
            -
              uuid: 387a3e6b64aa495aaa7d61594b129025
              expression: 'min(/Alkir MSSQL Server Release/perf_counter_en["\Processor Information(_total)\% Processor Time",10],5m)>90'
              name: cpu_utilization
              priority: INFO
        -
          uuid: 20005aa34db54145970b4ab45f57c6a3
          name: cpu_user
          key: 'perf_counter_en["\Processor Information(_total)\% User Time"]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: alkir_metric
              value: mssql_cpu_user
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: 80d4d1d9da7f40e5bc8950217a07468a
          name: sql_buffer_manager_ple
          key: 'perf_counter_en["\SQLServer:Buffer Manager\Page life expectancy"]'
          delay: 10s
          history: 7d
          trends: '0'
          tags:
            -
              tag: alkir_metric
              value: mssql_buffer_manager_ple
            -
              tag: component
              value: Alkir
        -
          uuid: d82fdd55273b489db3b1d1a04b38a68f
          name: sql_buffer_node_ple
          key: 'perf_counter_en["\SQLServer:Buffer Node\Page life expectancy"]'
          delay: 10s
          history: 7d
          trends: '0'
          tags:
            -
              tag: alkir_metric
              value: mssql_buffer_node_ple
            -
              tag: component
              value: Alkir
        -
          uuid: e7bcbe0683b943be8e99de3439c25e2c
          name: cpu_queue
          key: 'perf_counter_en["\System(_Total)\Processor Queue Length",29]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          tags:
            -
              tag: alkir_metric
              value: mssql_cpu_queue
            -
              tag: Application
              value: CPU
            -
              tag: component
              value: Alkir
        -
          uuid: b54696674dcb44c29673fea522d1edee
          name: memory_percent_available
          key: 'vm.memory.size[pavailable]'
          delay: 10s
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: FLOAT
          units: '%'
          tags:
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
        -
          uuid: 7636f16a46c2482b9da43ef8fbce58a0
          name: memory_percent_used
          key: 'vm.memory.size[pused]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: '%'
          tags:
            -
              tag: alkir_metric
              value: mssql_memory_used_percent
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
          triggers:
            -
              uuid: 298ade1f8b6e41c28da1c59a2b5bf811
              expression: 'min(/Alkir MSSQL Server Release/vm.memory.size[pused],5m)>95'
              name: memory_percent_used
              priority: INFO
        -
          uuid: 1b4ef7948f20438fb7b40a2f33e4f1fe
          name: memory_used
          key: 'vm.memory.size[used]'
          delay: 10s
          history: 7d
          trends: '0'
          value_type: FLOAT
          units: B
          tags:
            -
              tag: alkir_metric
              value: mssql_memory_used
            -
              tag: Application
              value: Memory
            -
              tag: component
              value: Alkir
      discovery_rules:
        -
          uuid: 38c793a2e4fb49aa90999252408b91ad
          name: 'Alkir MSSQL DB discovery'
          type: ODBC
          key: 'db.odbc.discovery[dbs.discovery,{$DB_HOST},]'
          params: |
            select name
            from sys.databases WHERE name NOT IN ('master', 'tempdb', 'model', 'msdb')
          username: '{$DB_UID}'
          password: '{$DB_PASSWORD}'
          item_prototypes:
            -
              uuid: 186adfef00c54455b3921335857298dc
              name: '{#NAME}'
              type: ODBC
              key: 'db.odbc.get[{#NAME}_dbfree,{$DB_HOST},]'
              history: 7d
              trends: '0'
              units: B
              params: 'exec AlkirDBInfo @key=''get_db_size'', @db=''{#NAME}'''
              username: '{$DB_UID}'
              password: '{$DB_PASSWORD}'
              preprocessing:
                -
                  type: JSONPATH
                  parameters:
                    - '$[?(@.[''File Type''] == "Data")].[''DB Free (Mb)''].first()'
                -
                  type: MULTIPLIER
                  parameters:
                    - '1048576'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_db_free
                -
                  tag: component
                  value: Alkir
                -
                  tag: component
                  value: MSSQL
            -
              uuid: 398649dfc871401dac5730963bfe9382
              name: '{#NAME}'
              type: ODBC
              key: 'db.odbc.get[{#NAME}_dbsize,{$DB_HOST},]'
              history: 7d
              trends: '0'
              units: B
              params: 'exec AlkirDBInfo @key=''get_db_size'', @db=''{#NAME}'''
              username: '{$DB_UID}'
              password: '{$DB_PASSWORD}'
              preprocessing:
                -
                  type: JSONPATH
                  parameters:
                    - '$[?(@.[''File Type''] == "Data")].[''DB Size (Mb)''].first()'
                -
                  type: MULTIPLIER
                  parameters:
                    - '1048576'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_db_size
                -
                  tag: component
                  value: Alkir
                -
                  tag: component
                  value: MSSQL
            -
              uuid: 777304ff7c74436fbdae652cb8630e5b
              name: '{#NAME}'
              type: ODBC
              key: 'db.odbc.get[{#NAME}_logfree,{$DB_HOST},]'
              history: 7d
              trends: '0'
              units: B
              params: 'exec AlkirDBInfo @key=''get_db_size'', @db=''{#NAME}'''
              username: '{$DB_UID}'
              password: '{$DB_PASSWORD}'
              preprocessing:
                -
                  type: JSONPATH
                  parameters:
                    - '$[?(@.[''File Type''] == "Log")].[''DB Free (Mb)''].first()'
                -
                  type: MULTIPLIER
                  parameters:
                    - '1048576'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_db_log_free
                -
                  tag: component
                  value: Alkir
                -
                  tag: component
                  value: MSSQL
            -
              uuid: cfcabd72c82d4b309efa0a24ade3ba91
              name: '{#NAME}'
              type: ODBC
              key: 'db.odbc.get[{#NAME}_logsize,{$DB_HOST},]'
              history: 7d
              trends: '0'
              units: B
              params: 'exec AlkirDBInfo @key=''get_db_size'', @db=''{#NAME}'''
              username: '{$DB_UID}'
              password: '{$DB_PASSWORD}'
              preprocessing:
                -
                  type: JSONPATH
                  parameters:
                    - '$[?(@.[''File Type''] == "Log")].[''DB Size (Mb)''].first()'
                -
                  type: MULTIPLIER
                  parameters:
                    - '1048576'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_db_log_size
                -
                  tag: component
                  value: Alkir
                -
                  tag: component
                  value: MSSQL
        -
          uuid: 4360424350a34f45a6dd6d7befdef782
          name: 'Alkir Network interfaces discovery'
          key: net.if.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.MATCHES}'
                formulaid: A
              -
                macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
          lifetime: '3600'
          item_prototypes:
            -
              uuid: 55a7fe77aa7b49f6a44bacf300938ed2
              name: '{#IFNAME}'
              key: 'net.if.in["{#IFGUID}"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                -
                  type: MULTIPLIER
                  parameters:
                    - '8'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_net_in
                -
                  tag: component
                  value: Alkir
            -
              uuid: 8f31d6b405f04aa9be0596c5ea91b64a
              name: '{#IFNAME}'
              key: 'net.if.in["{#IFNAME}",errors]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: mssql_net_in_errors
                -
                  tag: component
                  value: Alkir
            -
              uuid: b647dbdac69444cfa29dbc72ae359e1b
              name: '{#IFNAME}'
              key: 'net.if.in["{#IFNAME}",packets]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: mssql_net_in_pps
                -
                  tag: component
                  value: Alkir
            -
              uuid: ee861f32435942ecaa9edd0a73b18443
              name: '{#IFNAME}'
              key: 'net.if.out["{#IFGUID}"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                -
                  type: MULTIPLIER
                  parameters:
                    - '8'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_net_out
                -
                  tag: component
                  value: Alkir
            -
              uuid: dffb9c4e3509427298628b9eaba82085
              name: '{#IFNAME}'
              key: 'net.if.out["{#IFNAME}",errors]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: mssql_net_out_errors
                -
                  tag: component
                  value: Alkir
            -
              uuid: 424df533b078487482ec63a2522cc96c
              name: '{#IFNAME}'
              key: 'net.if.out["{#IFNAME}",packets]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                -
                  tag: alkir_metric
                  value: mssql_net_out_pps
                -
                  tag: component
                  value: Alkir
        -
          uuid: 0eb98fd21e1d43aca8a4dd2bc6604fe4
          name: 'Alkir CPU Discovery'
          key: system.cpu.discovery
          delay: 15m
          item_prototypes:
            -
              uuid: 2672095a180c4efca689bfdae18aafb4
              name: '{#CPU.NUMBER}'
              key: 'system.cpu.util[{#CPU.NUMBER},,avg1]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: mssql_cpu_core
                -
                  tag: Application
                  value: CPU
                -
                  tag: component
                  value: Alkir
        -
          uuid: 2308ca8f9bfe46b086415b6ce8fa4318
          name: 'Alkir Mounted filesystem discovery'
          key: vfs.fs.discovery
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#FSDRIVETYPE}'
                value: '{$VFS.FS.FSDRIVETYPE.MATCHES}'
                formulaid: A
              -
                macro: '{#FSDRIVETYPE}'
                value: '{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
              -
                macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.MATCHES}'
                formulaid: C
              -
                macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: D
              -
                macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.MATCHES}'
                formulaid: E
              -
                macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: F
          item_prototypes:
            -
              uuid: 0d2376520de3443788a148100184411d
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\220"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              tags:
                -
                  tag: alkir_metric
                  value: mssql_disk_read
                -
                  tag: component
                  value: Alkir
            -
              uuid: cf96cd388f634d44ac4664b62017fc7e
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\222"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: bps
              tags:
                -
                  tag: alkir_metric
                  value: mssql_disk_write
                -
                  tag: component
                  value: Alkir
            -
              uuid: 9e635a7ce6054b408b19fb90da5225b6
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\1402"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: mssql_disk_queue_read
                -
                  tag: component
                  value: Alkir
            -
              uuid: e3b7461769184c88acdce363f52ee07d
              name: '{#FSNAME}'
              key: 'perf_counter["\236({#FSNAME})\1404"]'
              delay: 10s
              history: 7d
              trends: '0'
              value_type: FLOAT
              tags:
                -
                  tag: alkir_metric
                  value: mssql_disk_queue_write
                -
                  tag: component
                  value: Alkir
            -
              uuid: 82cacbf1cf884777b2d49bd82d3fece0
              name: '{#FSNAME}'
              key: 'vfs.fs.size[{#FSNAME},free]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: B
              tags:
                -
                  tag: alkir_metric
                  value: mssql_disk_free
                -
                  tag: component
                  value: Alkir
            -
              uuid: dad11deb772d41959c911cedfb81fe67
              name: '{#FSNAME}'
              key: 'vfs.fs.size[{#FSNAME},pfree]'
              history: 7d
              trends: '0'
              value_type: FLOAT
              units: '%'
              tags:
                -
                  tag: alkir_metric
                  value: mssql_disk_free_proc
                -
                  tag: component
                  value: Alkir
              trigger_prototypes:
                -
                  uuid: d34be93578264acc99283fd663a440f3
                  expression: 'min(/Alkir MSSQL Server Release/vfs.fs.size[{#FSNAME},pfree],5m)<5'
                  name: '{#FSNAME}'
                  priority: INFO
      macros:
        -
          macro: '{$NET.IF.IFNAME.MATCHES}'
          value: '.*'
        -
          macro: '{$NET.IF.IFNAME.NOT_MATCHES}'
          value: Miniport|Virtual|Teredo|Kernel|Loopback|Bluetooth|HTTPS|6to4|QoS|Layer|TAP-Windows
        -
          macro: '{$VFS.FS.FSDRIVETYPE.MATCHES}'
          value: fixed
        -
          macro: '{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}'
          value: ^\s$
        -
          macro: '{$VFS.FS.FSNAME.MATCHES}'
          value: '.*'
        -
          macro: '{$VFS.FS.FSNAME.NOT_MATCHES}'
          value: '^(C:|/dev|/sys|/run|/proc|.+/shm$)'
        -
          macro: '{$VFS.FS.FSTYPE.MATCHES}'
          value: '.*'
        -
          macro: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
          value: ^\s$
      valuemaps:
        -
          uuid: 0743eb6aac4544a692769548f32d87d6
          name: 'Alarm state'
          mappings:
            -
              value: '1'
              newvalue: Alarm
            -
              value: '0'
              newvalue: OK
